RCFProto

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Typedefs
Public Member Functions | List of all members
RCF::ServerTransport Class Referenceabstract

Base class for all server transports. More...

`#include <ServerTransport.hpp>`

Inherited by RCF::AsioServerTransport, RCF::InProcessTransport, and RCF::UdpServerTransport.

## Public Member Functions
virtual TransportType | getTransportType ()=0
| Returns the transport type of this server transport.
ServerTransport & | setMaxIncomingMessageLength (std::size_t maxMessageLength)
std::size_t | getMaxIncomingMessageLength () const
| Returns maximum incoming message length.
ServerTransport & | setConnectionLimit (std::size_t connectionLimit)
| Sets the maximum number of simultaneous connections to the server transport.
std::size_t | getConnectionLimit () const
| Returns the maximum number of simultaneous connections to the server transport.
ServerTransport & | setInitialNumberOfConnections (std::size_t initialNumberOfConnections)
| Sets the initial number of listening connections that are created when the server transport starts.
std::size_t | getInitialNumberOfConnections () const
| Returns the initial number of listening connections that are created when the server transport starts.
ServerTransport & | setThreadPool (ThreadPoolPtr threadPoolPtr)
| Sets the thread pool that the server transport will use.
ServerTransport & | setSupportedProtocols (const std::vector< TransportProtocol > &protocols)
const std::vector < TransportProtocol > & | getSupportedProtocols () const
| Returns the list of supported protocols for the server transport.

## Detailed Description

Base class for all server transports.

## Member Function Documentation

ServerTransport& RCF::ServerTransport::setMaxIncomingMessageLength | ( | std::size_t | maxMessageLength | ) |

Sets maximum incoming message length. Incoming messages that are larger than this size will be dropped.

ServerTransport& RCF::ServerTransport::setSupportedProtocols | ( | const std::vector< TransportProtocol > & | protocols | ) |

Sets the list of supported protocols the server transport supports. Clients that connect without using one of the supported protocols are dropped. If the list of supported protocols is empty, all protocols are allowed.

The documentation for this class was generated from the following file:

- ServerTransport.hpp